Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules.pages
Class TestVelocityPage

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Page
              org.apache.turbine.modules.pages.DefaultPage
                  org.apache.turbine.modules.pages.TemplatePage
                      org.apache.turbine.modules.pages.VelocityPage
                          org.apache.turbine.modules.pages.TestVelocityPage

    public class TestVelocityPage

extends VelocityPage

Author:
  Peter Courcoux

Field Summary
`static int` | `numberOfCalls`

Fields inherited from class org.apache.turbine.modules.pages.DefaultPage
`actionLoader, layoutLoader, log, screenLoader`

Fields inherited from class org.apache.turbine.modules.Page
`CACHE_SIZE_DEFAULT, CACHE_SIZE_KEY, NAME, PREFIX`

Constructor Summary
`TestVelocityPage()`

Method Summary
`void` | `doBuild(PipelineData pipelineData)`
`void` | `doBuild(RunData runData)`
`void` | `doBuildAfterAction(PipelineData pipelineData)`
`void` | `doBuildAfterAction(RunData data)`
`void` | `doBuildBeforeAction(PipelineData pipelineData)`
`void` | `doBuildBeforeAction(RunData data)`
`void` | `doPostBuild(PipelineData pipelineData)`
`void` | `doPostBuild(RunData data)`

Methods inherited from class org.apache.turbine.modules.Page
`build, build, getPrefix`

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numberOfCalls

    public static int numberOfCalls

Constructor Detail

### TestVelocityPage

    public TestVelocityPage()

Method Detail

### doBuild

    public void doBuild(PipelineData pipelineData)
                 throws Exception

  Overrides:
    `doBuild` in class `DefaultPage`
  Throws:
    `Exception`

### doBuild

    public void doBuild(RunData runData)
                 throws Exception

  Overrides:
    `doBuild` in class `DefaultPage`
  Throws:
    `Exception`

### doBuildBeforeAction

    public void doBuildBeforeAction(PipelineData pipelineData)
                             throws Exception

  Overrides:
    `doBuildBeforeAction` in class `VelocityPage`
  Throws:
    `Exception`

### doPostBuild

    public void doPostBuild(PipelineData pipelineData)
                     throws Exception

  Overrides:
    `doPostBuild` in class `VelocityPage`
  Throws:
    `Exception`

### doBuildBeforeAction

    public void doBuildBeforeAction(RunData data)
                             throws Exception

  Overrides:
    `doBuildBeforeAction` in class `VelocityPage`
  Throws:
    `Exception`

### doPostBuild

    public void doPostBuild(RunData data)
                     throws Exception

  Overrides:
    `doPostBuild` in class `VelocityPage`
  Throws:
    `Exception`

### doBuildAfterAction

    public void doBuildAfterAction(RunData data)
                            throws Exception

  Overrides:
    `doBuildAfterAction` in class `TemplatePage`
  Throws:
    `Exception`

### doBuildAfterAction

    public void doBuildAfterAction(PipelineData pipelineData)
                            throws Exception

  Overrides:
    `doBuildAfterAction` in class `TemplatePage`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.